/*****************************************************************************
 *                   SEGGER Microcontroller GmbH & Co. KG                    *
 *            Solutions for real time microcontroller applications           *
 *****************************************************************************
 *                                                                           *
 *               (c) 2017 SEGGER Microcontroller GmbH & Co. KG               *
 *                                                                           *
 *           Internet: www.segger.com   Support: support@segger.com          *
 *                                                                           *
 *****************************************************************************/

function Reset() {
  TargetInterface.resetAndStop();
}

function SDRAM_Reset() {
  Reset();
  
  TargetInterface.pokeBinary(0x10000000, "$(ProjectDir)/sdram_init.bin");
  TargetInterface.runFromAddress(0x100000ed, 2000);    
}

function EnableTrace(traceInterfaceType) {
  // TODO: Enable trace
}

